--Entry 1. Gameplay rooms: 1

entry1 = diary {
   nam          = [[September 4th, 1846]]
  ,enter        = music_("paper")
  ,dsc          = [[The sea has rested for several days now, while the sea within me rages. The storm in my heart roars at the idea I alone survived this catastrophe.
                    ^^I spent quite some hours on deck staring along the horizon, blasted by the salt spray. 
                    ^^I have been well in light of the possibilities that surround me, although weak. Even keeping a record of my activities often exhausts me to the point of despair. More than once I have pondered whether anyone will ever review these entries, or whether I wish them to. I imagine my diary will be placed in the hands of my beloved, so she may learn what I have gone through to place it there and feel my love, for it has been more than the incredible journey we dreamed of. Truth be told, if I say not a word as the black, wretched loneliness creeps into my quarters, I may hold fast to the hope I will return to her side.
                    ^^Alas, my strength wanes.]]
  ,next         = walk_("gametitle_scn")
}

gametitle_scn = pause {
   dsc          = "^^^^^^^^^^^^^^"..txtc(bigheader:txt("Mainland"))
  ,time         = 5500
  ,enter        = chain_ {
                    music_("clearwaters"),
                    function(s)
                      theme.set("scr.gfx.bg", "gfx/texture_ink.jpg");
                    end
                  }
  ,next         = "cliff"
}

cliff = scene {
   _clean       = false --Spyglass is clean
  ,_birds       = false --Birds are flying
  ,_lost        = false --Spyglass is lost
  ,_turn        = false --I turned around
  ,_wait        = false --I waited
  ,nam          = [[At the Edge of the Cliff]]--"На утесе"
  ,enter        = function(s)
                    theme.set("scr.gfx.bg", "gfx/texture.jpg");
                  end
  ,obj          = {
                     "cliff_rocks"
                    ,"cliff_ocean"
                    ,"cliff_fall"
                    ,"cliff_island"
                    ,"cliff_me"
                    ,"cliff_jacket"
                    ,"cliff_blacks"
                    ,"cliff_birds"
                    ,"cliff_shore"
                    ,"cliff_ship"
                    ,"handkerchief_search"
                    ,"saltwater"
                    ,"spyglass_search"
                  }
  ,Exit         = choose_ {
                     ["default"] = [[I do not want to leave yet.]]--[[Я пока не хочу уходить.]]
                    ,["cliff._lost"] = chain_ { wearall, walk_("entry2") }
                  }
  ,TurnAround   = choose_ {
                    ["not cliff._turn"] =
                      chain_ {
                        set_("cliff._turn"),
                        [[A shadow sweeps across the rocks in the corner of my eye as the wind begins to push, clearing
                          the cliff of debris.
                          ^^My eyes must deceive me...]]
                      }
                  }
  ,Wait         = choose_ {
                     ["default"] = 
                      chain_ {
                        set_("cliff._wait"),
                        [[I stand at the precipice and look into the sky. 
                          ^^The rain comes again, low clouds sweeping overhead, the first drops hardly discernable amidst
                          the spray from the waves.]]
                      }
                    ,["cliff._wait"] = 
                        [[To stand and wait? This is not what I came here for. Truly, I must ask myself why.]]
                  }
}

handkerchief_search = item {
   nam          = "handkerchief"
  ,Search       = chain_ {
                    take_("handkerchief"), 
                    [[I find a crumpled silk handkerchief in the chest pocket of my jacket.]]
                  }
  ,cnd          = if_("not have(handkerchief)")
  ,imy          = {
                    ["default"] = "for the handkerchief"
                  }
}

spyglass = item {
   nam          = _"spyglass|~telescope"--_"подзорная труба"
  ,Exam         = [[The spyglass father gave me after his first voyage to these islands.]]--[[Эта подзорная труба досталась мне от отца. Отец купил ее как раз перед своим первым путешествием на острова, и вот теперь она снова сюда вернулась.]] 
  ,Clean        = use_ {
                     ["default"] = [[It is unlikely to help.]]--[[Вряд ли это поможет.]]
                    ,["handkerchief"] = 
                        choose_ {
                           ["default"] = 
                              chain_ {
                                set_("cliff._clean"),
                                [[I clean around each lens with the clean edge of my handkerchief.]]--[[Я протер чистым краем платка линзу подзорной трубы -- теперь все должно быть хорошо видно.]] 
                              }
                          ,["cliff._clean"] = [[It is as clean as I can manage.]]--[[Я уже протер окуляры подзорной трубы.]]
                        }
                    ,["jacket"] = 
                        choose_ {
                           ["default"] = [[My jacket is filthy, and has spent many nights on the floor, though my handkerchief is still hidden somewhere in a pocket.]]--[[Я уже было задрал полу своего камзола, но вовремя опомнился. Где-то у меня должен быть платок...]]
                          ,["cliff._clean"] = [[It is no use with a dirty sleeve.]]--[[Не стоит тереть грязной полой камзола чистую линзу подзорной трубы.]] 
                        }
                  }
  ,Wash         = [[There must be a better way than soaking it in seawater.]] --[[Вряд ли я смогу промыть подзорную трубу морской водой -- здесь к воде не подступиться. Да и не очень-то это хорошая идея, заливать окуляры соленой водой. Должен быть способ проще.]]
  ,Throw        = [[I should keep it.]]--[[Я не собираюсь выбрасывать свою подзорную трубу.]]
  ,withExamWith = true
  ,imy          = {
                     ["default"] = "the spyglass"
                  }
}

saltwater = item {
   nam          = _"water|~seawater"--_"морская вода|~вода"
  ,withWash     = true
  ,imy          = {
                     ["default"] = "the seawater"
                  }
}

cliff_rocks = item {
   nam          = _"cliff|rocks"
  ,dsc          = [[I stand on the edge of the cliff.]]--[[Я стою на утесе.]]
  ,Exam         = choose_ {
                     ["default"] = 
                        [[It appears to be the highest point on the eastern end of the shore. On a clear day I would have full view of
                          the neighboring islands, but a placid sky in Autumn is too rare.]]--[[Это самое высокое место с восточной стороны берега. В погожий день отсюда хорошо видны соседние острова, однако погожие дни выпадают здесь очень редко.]]
                    ,["cliff._lost"] = walk_("cliffback")
                  }
  ,Lie          = [[I will not lie down here.]]--[[Лежать на этих камнях мне совсем не хочется.]]
  ,Sit          = choose_ {
                     ["default"] = 
                      [[I sit down near the edge and clasp my knees. The breeze tosses my hair, and sends a shiver through the branches 
                        of the trees. I could spend the day here, no storms or time.
                        ^^Rain splashes my hands and cheeks, the first drops of a downpour. 
                        ^^This solitary man sighs and rises to his feet... time does not stop. Soon even the sun will refuse my company.]]
                      --[[Я сажусь у самого обрыва, обхватывая руками колени. Ветер треплет мои волосы. Откуда-то издалека доносится взволнованный шелест  листвы на деревьях, напоминающий шум еще не начавшегося дождя. Кажется, я могу провести так весь день -- просто сидеть здесь, любуясь океаном, как будто шторм в действительности никогда не начнется, и само время необъяснимо застыло  на этом мгновении, в преддверии проливного дождя. ^Однако вскоре я чувствую, как на мое лицо и руки падают первые капли. Я вздыхаю и поднимаюсь на ноги. Время вовсе не остановилось, и вскоре солнце совсем скроется за черными и низкими облаками. Мне стоит поторопиться.]] 
                    ,["cliff._lost"] = [[I am no more here than anywhere...]]--[[Мне сейчас совсем не до этого.]]
                  }
  ,Descend      = redirect_("Exit", "cliff")
  ,Move         = [[That would be quite unnatural.]]--[[Вряд ли у меня получится это передвинуть.]]
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the cliff"
                    ,["Lie"] = "down on the rocks"
                    ,["Sit"] = "down on the rocks"
                    ,["Descend"] = "from the cliff"
                    ,["Throw"] = "on the rocks"
                  }
}

cliff_ocean = item {
   nam          = _"ocean|~waves"
  ,dsc          = [[The sea has grown wild again, swelling with my fears, engulfing the rocks below.]]--[[Океан сегодня не спокоен, как будто, по какой-то невозможной причине, ему передаются мои собственные мысли и  чувства, даже мой страх. Волны внизу с грохотом разбиваются о камни.]]                  
  ,Exam         = choose_ {
                     ["default"] = 
                        [[When I look at the water on a day like today I can imagine the island drowns with me,
                          its destiny at the bottom of the ocean. The wrath of the surf both threat and comfort. I cannot explain this, 
                          my thoughts are lost in the fog that seems to pour in through my eyes.]]
                          --^Sickness comes as no surprise.]]--[[Если долго смотреть на океан перед началом шторма, то кажется, что весь остров медленно идет ко дну, тонет в этой беспредельной пучине. Шум разгневанного прибоя одновременно успокаивает и пугает.  Я даже не могу это объяснить. Как будто мысли мои и чувства начинают путаться, сбиваются с толка, если просто долго стоять  здесь и смотреть вдаль через подзорную трубу. Неудивительно, что у меня начинается морская болезнь.]]                        
                    ,["cliff._lost"] = 
                        [[Soon the storm will make landfall. 
                          ^^Father's spyglass is gone...]]--[[Скоро, наверное, и правда начнется шторм... Нет, как я мог выронить ее? Как я мог?]] --FIXME
                  }
  ,ExamWith     = redirect_("Exam", "cliff_ocean")
  ,withThrow   = true
  ,imy          = {
                     ["default"] = "the ocean"
                    ,["Throw"] = "in the ocean"
                  }
}

cliff_fall = item {
   nam          = name_ {
                     ["default"] = "fall|~edge"
                    ,["Descend"] = "edge"
                    ,["Walk"] = "edge"
                    ,["JumpFrom"] = "edge"
                  }
  ,dsc          = choose_ {
                     ["default"] = [[A powerful gust pushes me back from the edge.]]--[[Ветер отталкивает меня от обрыва.]]                                    
                    ,["cliff._lost"] = [[Inching closer, my eyes scan each nook and crevice below.]]--[[Я стою у самого края обрыва, точно и сам готов броситься вниз, вслед за подзорной трубой.]]                      
                  }
  ,Exam         = choose_ {
                     ["default"] = 
                        [[It looks to be at least forty feet to the ground, with quite jagged rocks on the walls and floor. I instinctively step back.]]--[[Здесь, наверное, футов сорок -- не меньше. И если сорваться, то наверняка упадешь прямо на острые камни. Я невольно делаю шаг назад.]]
                        
                    ,["cliff._lost"] = walk_("cliffback")
                  }
  ,JumpFrom     = [[I will not entertain the thought of suicide as long as hope still lives.]]--[[У меня совсем нет желания кончать с жизнью.]]
  ,Descend      = [[I cannot descend from this height.]]--[[Не думаю, что у меня получится спуститься с этого обрыва.]]
  ,Walk         = [[I take a step closer to the edge once more.]]--[[Я подошел к краю обрыва, и у меня закружилась голова. Нет, лучше не искушать судьбу.]]
  ,withThrow    = true
  ,imy          = {
                     ["default"] = "the fall"
                    ,["Descend"] = "from the edge"
                    ,["Walk"] = "to the edge"
                    ,["Jump"] = "the edge"
                    ,["Throw"] = "in the fall"
                  }
}

spyglass_search = item {
   nam          = _"spyglass|~telescope"
  ,Search       = walk_("cliffback")
  ,imy          = {
                    ["Search"] = "for the spyglass"
                  }
  ,cnd          = if_("cliff._lost")
}

cliff_island = item {
   nam          = _"island"--_"остров" --FIXME Is there a condition to check if you still have the telescope here?
  ,dsc          = [[But it is too early to leave. I can still make out the far island with my spyglass before everything becomes veiled 
                    in a curtain of rain.]]--[[Но мне пока рано уходить -- я еще могу попробовать рассмотреть тот далекий остров, пока все вокруг не затянуло пеленой дождя.]]     
  ,Exam         = [[It requires my spyglass.]]--[[Разглядеть так что-то довольно сложно, лучше воспользоваться подзорной трубой.]]                  
  ,ExamWith     = choose_ {
                     ["default"] = [[The lenses are dirty. I cannot make it out.]]--[[Окуляры у подзорной трубы запотели, и мне почти ничего не видно.]]                        
                    ,["cliff._clean"] = 
                        chain_ {
                          set_("cliff._birds"),
                          mute_(3000, 3000),
                          [[The island to the east stands in the midst of a great fog, nature's surreal apparitions, like a mirage in the sea, an island in the sky.
                          ^The rocky coast harbors a sandy bay facing my direction, thick with towering palm trees.
                          ^It is at least two thousand yards to that shore, not difficult on a clear day and calm water. 
                            ^White aerials emerge from the cloud of fog trailing streams across the sky.]]--[[Я разглядываю через подзорную трубу остров на востоке. Остров объят туманом и кажется каким-то ненастоящим, точно коварный океан обманывает меня, создавая это странное зыбкое видение -- как мираж в пустыне. Сейчас, впрочем, я могу хорошо разглядеть береговую линию, скалы, густые заросли пальм. До этого острова, должно быть, лишь несколько тысяч ярдов. Интересно, я смогу добраться туда на лодке? Это должно быть совсем не сложно, по крайней мере в ясный день, когда океан спокоен.^ Я невольно поднимаю подзорную трубу чуть выше, в небо, и замечаю какие-то светлые пятна, которые быстро отдаляются от окутанного туманной дымкой острова.]]
                        }
                  }
  ,cnd          = not_("cliff._lost")
  ,imy          = {
                     ["default"] = "the island"
                  }
}

cliff_shore = item {
   nam          = _"shore|~coast"--_"берег"
  ,Descend      = redirect_("Exit", "cliff")
  ,imy          = {
                     ["default"] = "to the shore"
                  }
}

cliff_ship = item {
   nam          = _"ship"--_"корабль"
  ,Walk         = redirect_("Exit", "cliff")
  ,imy          = {
                     ["default"] = "to the ship"
                  }
}

cliff_me = item {
   nam          = ""
  ,dsc          = [[I adjust the old telescope.]]--[[^Я пытаюсь настроить старую отцовскую подзорную трубу.]]
  ,cnd          = not_("cliff._birds")
}

cliff_jacket = item {
   nam          = ""
  ,dsc          = [[The wind snaps the hem of my jacket against my legs.]]--[[Ветер развевает полы моего потрепанного камзола.]]                  
  ,cnd          = not_("jacket._off")
}

cliff_blacks = item {
   nam          = "aerials"
  ,Exam         = chain_ {
                    music_("wounded", 0),
                    drop_("spyglass"),
                    set_("cliff._lost"),
                    [[Gulls encircle me in a roiling cloud of white and black.
                      ^Shuddering and surprised, my hand loses its grip on father's spyglass and it falls, bouncing over the edge of the cliff. 
                      ^The damned gulls swoop and shriek at me as I throw my clenched fists at them in vain.]]--[[Я оглядываюсь вокруг. Это всего лишь чайки, они кружат и над моим островом, беспокойно и хаотично, точно почуяв  приближающийся шторм.^И тут над головой у меня раздается крик -- громкий, надрывный и точно исполненный ужаса -- так кричат люди, оказавшись пред ликом смерти и осознав с ужасающей ясностью, что у них нет ни малейшей возможности спастись.^От неожиданности я роняю подзорную трубу, та падает на камни, скатывается к обрыву. Я бросаюсь за ней, но не успеваю -- подзорная труба срывается вниз.^Надо мной пролетает в бреющем полете безумная чайка.]]
                   }
  ,ExamWith     = redirect_("Exam", "cliff_blacks")
  ,cnd          = if_("cliff._birds and not cliff._lost")
  ,Swing        = [[It is better to examine them.]]--[[Я уже поднимаю руку, но вдруг чувствую себя как-то неуверенно и глупо.]]
  ,imy          = {
                     ["default"] = "the aerials in the sky"
                  }
}

cliff_birds = item {
   nam          = "gulls|~seagulls"
  ,live         = true
  ,Exam         = [[They are thoroughly indifferent to my plight.]]--[[Эти птицы словно обезумели.]]
  ,Swing        = [[I regain my wits and steady my hands.]]--[[У меня нет никакого желания приветственно махать им рукой.]]
  ,cnd          = if_("cliff._lost")
  ,imy          = {
                     ["default"] = "the gulls"
                  }
}

cliffback = scene {
   dsc          =  [[At the edge I peer down with the vain hope of spotting my family heirloom perched on one of the moss-covered stones, saved from the horrible depths below.
                    ^^The waves crashing into the grotto welcome my peering eyes with a foamy draught. There is no sign of my spyglass.
                    ^^Exasperated and solemn, I turn back toward the ship.]]--[[Я подхожу к краю обрыва и смотрю вниз. Смутная надежда моя, что подзорная труба могла упасть на какой-нибудь уступ, что я чудом смогу дотянуться до нее, исчезает. Я вижу лишь ревущие волны, которые окатывают пеной прибрежные скалы.^ Скоро начнется шторм. Мне не остается ничего, кроме как <i>вернуться на корабль</i>.]]   
  ,verbs        = { 
                     { "Next", "return to the ship", "{}" }
                  }
  ,Next         = redirect_("Exit", "cliff")
}
